Get Task Details
curl --request GET \
--url https://api.xenia.team/api/v1/task/taskDetails/{taskId} \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://api.xenia.team/api/v1/task/taskDetails/{taskId}"
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-key': '<api-key>', 'x-client-secret': '<api-key>'}
};
fetch('https://api.xenia.team/api/v1/task/taskDetails/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "232154c0-c239-48f8-b670-0e5d12fd64d0",
"title": "room inspection",
"description": "test description",
"taskStatus": "Open",
"priority": "High",
"startDate": "2025-06-23T19:00:00.000Z",
"dueDate": "2025-06-25T18:30:00.000Z",
"attachment": [
"https://cdn.xenia.team/cb363f7e-c52a-4478-911d-f6a6f791090e/.../screenshot-1.png",
"https://cdn.xenia.team/cb363f7e-c52a-4478-911d-f6a6f791090e/.../screenshot-2.png"
],
"Creator": {
"id": "dfea8b8a-5b22-4668-b68d-dc641eb3a101",
"firstName": "Admin",
"lastName": "(Karachi)",
"emailId": "nihad77@yopmail.com",
"phoneNo": "+923177974971"
},
"Location": {
"id": "62c70dc8-f8ce-4dfe-a798-844197610e11",
"name": "Central TZ",
"address": "FB Area karachi"
},
"ServiceType": {
"id": "263a3926-9cb1-4ad6-8969-ecfce1674cb7",
"type": "44",
"color": "#FFCCBC"
},
"TaskAssignees": [
{
"Assigned": {
"id": "c027212e-eedd-4fdd-9317-27903b82ed6e",
"firstName": "Kumeil",
"lastName": "Hosain",
"emailId": "kumeil@xeniaplatform.io"
}
}
],
"timezone": "Asia/Karachi",
"isOverDue": false,
"isChecklistRequired": false,
"isRequested": false,
"isPaused": false,
"isTimeBound": true
},
"meta": {}
}Tasks
Get Task
Retrieve complete details for a single task using its ID.
GET
/
api
/
v1
/
task
/
taskDetails
/
{taskId}
Get Task Details
Path Parameters
UUID of the task.
Example:
"232154c0-c239-48f8-b670-0e5d12fd64d0"
Query Parameters
UUID of the workspace.
Example:
"cb363f7e-c52a-4478-911d-f6a6f791090e"
Response
Task details retrieved successfully.
⌘I